@model IEnumerable<FERZid.Models.ProgramAktivan>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "ProgramAktivan")'">
        <span class="glyphicon glyphicon-plus"></span> Dodaj raspored prikazivanja
    </button>
    <table class="table" id="progakt">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.IdProgramaNavigation.ImePrograma)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Pocetak)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Kraj)
                </th>
                <th>
                    Lokacija zida
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdProgramaNavigation.ImePrograma)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Pocetak)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Kraj)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdzidaNavigation.Lokacija)
                    </td>
                    <td>
                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.IdprogramAktivan">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.IdprogramAktivan">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.IdprogramAktivan">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
@section scripts {
    <script>
        $(document).ready(function () {
            $('#progakt').DataTable();
        });
    </script>
}